GraphicsMagick Search site

- Home
- License
- Mission
- Download
- Installation
- FAQ
- News
- Formats

- Process
- Contribute
- CVS
- Mailing Lists
- ChangeLog
- Report Bugs
- Utilities
- Programming
- Links

# describe

## Methods to describe an image

Contents

- DescribeImage

# DescribeImage

## Synopsis

    void DescribeImage( Image *image, FILE *file, const MagickBool verbose );

## Description

DescribeImage() describes an image by printing its attributes to the file. Attributes include the image width, height, size, and others.

The format of the DescribeImage method is:

    void DescribeImage( Image *image, FILE *file, const MagickBool verbose );

A description of each parameter follows:

image:
  The image.
file:
  The file, typically stdout.
verbose:
  A value other than zero prints more detailed information about the image. Values greater than one enable counting the number of colors in the image.